APICompanies
Get company
Fetch a company by id. Requires the companies:read scope.
GET
/companies/{id}curl -X GET "https://productlane.com/api/v2/companies/{id}" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
idstringpathrequired
Response
application/json
Successful response
idstringrequirednamestringrequiredlogo_urlstring | nullrequireddomainsstring[]requiredsizenumber | nullrequiredrevenuenumber | nullrequiredstatus_idstring | nullrequiredstatus_namestring | nullrequiredtier_idstring | nullrequiredtier_namestring | nullrequiredownerobject | nullrequiredexternal_idsstring[]requiredCaller-owned cross-system identifiers (CRM ids, etc.). Replaced wholesale on create/update.
integration_idsobjectrequiredcreated_atstringrequiredupdated_atstringrequired
{
"id": "string",
"name": "string",
"logo_url": "string",
"domains": [
"string"
],
"size": 0,
"revenue": 0,
"status_id": "string",
"status_name": "string",
"tier_id": "string",
"tier_name": "string",
"owner": {
"id": "string",
"name": "string",
"avatar_url": "string"
},
"external_ids": [
"string"
],
"integration_ids": {
"intercom": "string",
"front": "string",
"zendesk": "string",
"hubspot": "string",
"plain": "string",
"productboard": "string",
"slack_channel": "string"
},
"created_at": "string",
"updated_at": "string"
}